PDA

Archiv verlassen und diese Seite im Standarddesign anzeigen : cgi-Erweiterung Problem



benuetzer
06.01.2010, 15:39
Hallo,

ich würde gern perl-cgi installieren um über den Webserver auch Verzeichnisse "browsen" zu können. Ich vermute mal, dass ich dazu perl-cgi benötige, wenn ich das allerdings über ipkg installieren möchte erhalte ich folgende Fehler:



Installing perl-cgi (3.42-1) to root...
Downloading http://ipkg.nslu2-linux.org/feeds/optware/cs08q1armel/cross/unstable/perl-cgi_3.42-1_arm.ipk
An error ocurred, return value: 9.
Collected errors:
Package perl-cgi wants to install file /opt/lib/perl5/5.10.0/CGI/Apache.pm
But that file is already provided by package perl
Package perl-cgi wants to install file /opt/lib/perl5/5.10.0/CGI/Carp.pm
But that file is already provided by package perl
Package perl-cgi wants to install file /opt/lib/perl5/5.10.0/CGI/Cookie.pm
But that file is already provided by package perl
Package perl-cgi wants to install file /opt/lib/perl5/5.10.0/CGI/Fast.pm
But that file is already provided by package perl
Package perl-cgi wants to install file /opt/lib/perl5/5.10.0/CGI/Pretty.pm
But that file is already provided by package perl
Package perl-cgi wants to install file /opt/lib/perl5/5.10.0/CGI/Push.pm
But that file is already provided by package perl
Package perl-cgi wants to install file /opt/lib/perl5/5.10.0/CGI/Switch.pm
But that file is already provided by package perl
Package perl-cgi wants to install file /opt/lib/perl5/5.10.0/CGI/Util.pm
But that file is already provided by package perl
Package perl-cgi wants to install file /opt/lib/perl5/5.10.0/CGI.pm
But that file is already provided by package perl


Kann mir jemand helfen?

Schöne Grüße

jahlives
06.01.2010, 16:05
Was heisst Verzeichnisse browsen für dich? Imho brauchst du da nichts spezielles. Denn der Apache bietet die Möglichkeit Verzeichnisse aufzulisten (http://httpd.apache.org/docs/1.3/mod/mod_autoindex.html#indexoptions)

itari
06.01.2010, 16:20
Es gibt doch auch schöne Web-basierte File-Manager. z.B. http://www.ajaxplorer.info/wordpress/about/

Itari

goetz
06.01.2010, 19:20
Hallo,
Du hast bereits perl installiert und diese Installation hat bereits perl-cgi mitinstalliert. Die Dateien sind bereits da.

Gruß Götz

benuetzer
07.01.2010, 13:08
EDIT: Hat sich erledigt :-) Entscheidend war was jahlives geschrieben hatte. Mit der Indexes-Option und apache-restart hat's geklappt. Da war ich voll auf dem falschen Dampfer mit dem perl-cgi :-X

Danke nochmal an alle.